module top(LCD_DATA,LCD_RW,LCD_RS,LCD_EN,LCD_BLON,CLOCK_50,BUTTON,LEDG);
input CLOCK_50;
input [2:0] BUTTON;
output LCD_RW,LCD_RS,LCD_EN,LCD_BLON;
output [7:0] LCD_DATA;
output [9:0] LEDG;

parameter clkrate=50000000; //50MHz takt
parameter nop=0,clear=1,write=2,line1=3,line2=4;

assign LCD_BLON=1;

wire rdy;
reg start;
wire [7:0] data;
reg [2:0] cmd;

reg [4:0] adr;

assign LEDG[0]=rdy;

lcd lcd_i(
.clk (CLOCK_50),
.rst (BUTTON[0]),
.din (data),
.cmd (cmd),
.start (start),
.rdy (rdy),
.dout (LCD_DATA),
.rs (LCD_RS),
.rw (LCD_RW),
.e (LCD_EN));
defparam lcd_i.clkrate=clkrate;

rom rom_i(
	.address (adr),
	.clock (CLOCK_50),
	.q(data));


always@(posedge CLOCK_50)
begin
	start=0;
	if(!BUTTON[0])begin
		adr<=0;
	end else begin
		if(rdy&&(adr<11))begin
				adr<=adr+5'd1;
				start=1;
				if(adr==5)cmd=line2; else cmd=write;
		end
	end 
end




endmodule